var search_data = {"index":{"searchIndex":["augeas","error","clear()","clear_transforms()","clearm()","close()","context()","context=()","defnode()","defvar()","error()","exists()","get()","insert()","label()","load()","load!()","match()","mv()","open()","open3()","rename()","rm()","save()","save!()","set()","set!()","set_internal()","setm()","span()","srun()","text_retrieve()","text_store()","touch()","transform()","makefile"],"longSearchIndex":["augeas","augeas::error","augeas#clear()","augeas#clear_transforms()","augeas#clearm()","augeas#close()","augeas#context()","augeas#context=()","augeas#defnode()","augeas#defvar()","augeas#error()","augeas#exists()","augeas#get()","augeas#insert()","augeas#label()","augeas#load()","augeas#load!()","augeas#match()","augeas#mv()","augeas::open()","augeas::open3()","augeas#rename()","augeas#rm()","augeas#save()","augeas#save!()","augeas#set()","augeas#set!()","augeas#set_internal()","augeas#setm()","augeas#span()","augeas#srun()","augeas#text_retrieve()","augeas#text_store()","augeas#touch()","augeas#transform()",""],"info":[["Augeas","","Augeas.html","","<p>Define the ruby class\n<p>Wrapper class for the augeas library.\n"],["Augeas::Error","","Augeas/Error.html","",""],["clear","Augeas","Augeas.html#method-i-clear","(path)","<p>Clear the <code>path</code>, i.e. make its value <code>nil</code>\n"],["clear_transforms","Augeas","Augeas.html#method-i-clear_transforms","()","<p>Clear all transforms under <code>/augeas/load</code>. If <code>load</code>\nis called right after this, there will be no files under …\n"],["clearm","Augeas","Augeas.html#method-i-clearm","(base, sub)","<p>Clear multiple nodes values in one operation. Find or create a node\nmatching <code>sub</code> by interpreting <code>sub</code> …\n"],["close","Augeas","Augeas.html#method-i-close","()",""],["context","Augeas","Augeas.html#method-i-context","()","<p>Get path expression context (from /augeas/context)\n"],["context=","Augeas","Augeas.html#method-i-context-3D","(path)","<p>Set path expression context to <code>path</code> (in /augeas/context)\n"],["defnode","Augeas","Augeas.html#method-i-defnode","(p1, p2, p3)","<p>Define a variable NAME whose value is the result of evaluating EXPR, which\nmust be non-NULL and evaluate …\n"],["defvar","Augeas","Augeas.html#method-i-defvar","(p1, p2)","<p>Define a variable NAME whose value is the result of evaluating EXPR. If a\nvariable NAME already exists, …\n"],["error","Augeas","Augeas.html#method-i-error","()","<p>Retrieve details about the last error encountered and return those details\nin a HASH with the following …\n"],["exists","Augeas","Augeas.html#method-i-exists","(p1)","<p>Return true if there is an entry for this path, false otherwise\n"],["get","Augeas","Augeas.html#method-i-get","(p1)","<p>Lookup the value associated with PATH\n"],["insert","Augeas","Augeas.html#method-i-insert","(p1, p2, p3)","<p>Make LABEL a sibling of PATH by inserting it directly before or after PATH.\nThe boolean BEFORE determines …\n"],["label","Augeas","Augeas.html#method-i-label","(p1)","<p>Lookup the label associated with PATH\n"],["load","Augeas","Augeas.html#method-i-load","()","<p>Load files from disk according to the transforms under\n<code>/augeas/load</code>\n"],["load!","Augeas","Augeas.html#method-i-load-21","()","<p>The same as <code>load</code>, but raises <code>Augeas::Error</code> if\nloading fails\n"],["match","Augeas","Augeas.html#method-i-match","(p1)","<p>Return all the paths that match the path expression PATH as an aray of\nstrings.\n"],["mv","Augeas","Augeas.html#method-i-mv","(p1, p2)","<p>Move the node SRC to DST. SRC must match exactly one node in the tree. DST\nmust either match exactly …\n"],["open","Augeas","Augeas.html#method-c-open","(root = nil, loadpath = nil, flags = NONE, &block)","<p>Create a new Augeas instance and return it.\n<p>Use <code>root</code> as the filesystem root. If <code>root</code> is\n<code>nil</code>, use the value …\n"],["open3","Augeas","Augeas.html#method-c-open3","(p1, p2, p3)",""],["rename","Augeas","Augeas.html#method-i-rename","(p1, p2)","<p>Rename the label of all nodes matching SRC to LABEL.\n<p>Returns <code>false</code> if <code>aug_rename</code> fails, and the number\n…\n"],["rm","Augeas","Augeas.html#method-i-rm","(p1)","<p>Remove path and all its children. Returns the number of entries removed\n"],["save","Augeas","Augeas.html#method-i-save","()","<p>Write all pending changes to disk\n"],["save!","Augeas","Augeas.html#method-i-save-21","()","<p>The same as <code>save</code>, but raises <code>Augeas::Error</code> if\nsaving fails\n"],["set","Augeas","Augeas.html#method-i-set","(path, *values)","<p>Set one or multiple elemens to path. Multiple elements are mainly sensible\nwith a path like …/array …\n"],["set!","Augeas","Augeas.html#method-i-set-21","(path, *values)","<p>The same as <code>set</code>, but raises <code>Augeas::Error</code> if\nsetting fails\n"],["set_internal","Augeas","Augeas.html#method-i-set_internal","(p1, p2)","<p>Set the value associated with PATH to VALUE. VALUE is copied into the\ninternal data structure. Intermediate …\n"],["setm","Augeas","Augeas.html#method-i-setm","(p1, p2, p3)","<p>Set multiple nodes in one operation. Find or create a node matching SUB by\ninterpreting SUB as a path …\n"],["span","Augeas","Augeas.html#method-i-span","(p1)",""],["srun","Augeas","Augeas.html#method-i-srun","(p1)","<p>Run one or more newline-separated commands, returning their output.\n<p>Returns: an array where the first …\n"],["text_retrieve","Augeas","Augeas.html#method-i-text_retrieve","(p1, p2, p3, p4)","<p>Transform the tree at PATH into a string using lens LENS and store it in\nthe node NODE_OUT, assuming …\n"],["text_store","Augeas","Augeas.html#method-i-text_store","(p1, p2, p3)","<p>Use the value of node NODE as a string and transform it into a tree using\nthe lens LENS and store it …\n"],["touch","Augeas","Augeas.html#method-i-touch","(path)","<p>Create the <code>path</code> with empty value if it doesn&#39;t exist\n"],["transform","Augeas","Augeas.html#method-i-transform","(hash)","<p>Add a transform under <code>/augeas/load</code>\n<p>The HASH can contain the following entries\n<p><code>:lens</code> - the name of the lens …\n"],["Makefile","","ext/augeas/Makefile.html","","<p>SHELL = /bin/sh\n<p># V=0 quiet, V=1 verbose.  other values don&#39;t work. V = 0 Q1 = $(V:1=)\nQ = $(Q1:0=@) …\n"]]}}